Package org.apache.tools.ant.filters

## Class TokenFilter.IgnoreBlank

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter
    - - org.apache.tools.ant.filters.TokenFilter.IgnoreBlank

- All Implemented Interfaces:
    `java.lang.Cloneable`, `ChainableReader`, `TokenFilter.Filter`
  Enclosing class:
    TokenFilter

      public static class TokenFilter.IgnoreBlank
      extends TokenFilter.ChainableReaderFilter

  Filter remove empty tokens

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IgnoreBlank()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `filter​(java.lang.String line)` | filter and/of modify a string

    - ### Methods inherited from class org.apache.tools.ant.filters.TokenFilter.ChainableReaderFilter

      `chain, setByLine`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgnoreBlank

          public IgnoreBlank()

  - ### Method Detail

    - #### filter

          public java.lang.String filter​(java.lang.String line)

      Description copied from interface: `TokenFilter.Filter`
      filter and/of modify a string
      Parameters:
        `line` - the line to modify
      Returns:
        the trimmed line